Skip to main content
GET
/
dev
/
v1
/
invoices
List invoices
curl --request GET \
  --url https://api.shoppex.io/dev/v1/invoices \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "inv_1",
      "uniqid": "11111111-1111-4111-8111-111111111111",
      "type": "PRODUCT",
      "subtype": null,
      "origin": "API",
      "shop_id": "shop_1",
      "customer_id": "cus_1",
      "affiliate_link_id": "link_1",
      "affiliate_customer_id": "cus_aff_1",
      "affiliate_code": "creator123",
      "affiliate_discount_amount": 3.5,
      "currency": "USD",
      "total": 29.99,
      "total_display": 29.99,
      "subtotal": 33.49,
      "discount": 3.5,
      "discount_display": 3.5,
      "balance_paid_amount": 0,
      "customer_email": "buyer@example.com",
      "custom_fields": null,
      "is_developer_invoice": false,
      "developer_title": null,
      "status": "COMPLETED",
      "payment_status": "COMPLETED",
      "gateway": "STRIPE",
      "flow_type": "PROVIDER_SESSION",
      "provider_reference": "pi_123",
      "provider_reference_type": "PAYMENT_INTENT",
      "items": [
        {
          "product_id": "prod_1",
          "product_title": "Starter Pack",
          "product_type": "DIGITAL",
          "variant_title": "Gold",
          "quantity": 1,
          "unit_price": 29.99,
          "total": 29.99,
          "delivered_items": null
        }
      ],
      "created_at": 1711953600,
      "updated_at": 1711953900
    }
  ],
  "pagination": {
    "next_cursor": null,
    "has_more": false
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Query Parameters

cursor
string
limit
string
status
string
customerEmail
string
filters
string
sorts
string

Response

200 - application/json

Successful response

data
object[]
pagination
object